module Balotelli
  module Core
    module Utils
      NICK_REGEX = /\A(\S+)!.*/
      PRIV_MSG_REGEX = /\A:?(\S+) PRIVMSG (\S+) :?(.*)/
      JOIN_REGEX = /\A:?(\S+) JOIN (\S+)/

      module_function

      def nick_from_user(str)
        str.match(NICK_REGEX)[1]
      end

      def table_regex(nick)
        /\A:?(\S+) \d+ #{nick} \S (#\S+) :?(.*)/
      end

      module ClassVariableGetter
        def class_variable_get(*args)
          args.each do |s|
            define_method(s) { self.class.instance_variable_get("@#{s}") }
          end
        end
      end
    end
  end
end
